/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  MA                              1
#define  MA_ONOFFMA                      2       /* callback function: OnOffMA */
#define  MA_FORMAMODULATORMA             3       /* callback function: SeteazaFormaModulatoareiMA */
#define  MA_GRAPHCANAL2                  4
#define  MA_FRECVENTAPURTATOAREMA        5       /* callback function: SeteazaFrecventaPurtatoareiMA */
#define  MA_STARTSTOPGENMA               6       /* callback function: StartStopGenMA */
#define  MA_AMPLPURTATOAREMA             7       /* callback function: SeteazaAmplPurtMA */
#define  MA_INDICEMODULATIEMA            8       /* callback function: SeteazaIndiceModulatieMA */
#define  MA_FACTORUMPLEREMODMA           9       /* callback function: SeteazaFactorUmplereMA */
#define  MA_GRAPHCANAL1                  10
#define  MA_FRECVENTAMODMA               11      /* callback function: SeteazaFrecventaModulatoareiMA */
#define  MA_ASCECRAN1                    12
#define  MA_MP                           13
#define  MA_MAPS                         14
#define  MA_ASCECRAN2                    15
#define  MA_TIMERAFISGEN                 16      /* callback function: CallTimerAfisGenMA */
#define  MA_TIMERGEN                     17      /* callback function: CallTimeGenMA */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CallTimeGenMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallTimerAfisGenMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OnOffMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaAmplPurtMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaFactorUmplereMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaFormaModulatoareiMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaFrecventaModulatoareiMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaFrecventaPurtatoareiMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaIndiceModulatieMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK StartStopGenMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
