/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ANALIZOR                        1
#define  ANALIZOR_ONOFFANALIZOR          2       /* callback function: OnOffAnalizor */
#define  ANALIZOR_GRAPHCANAL2            3
#define  ANALIZOR_GRAPHCANAL1            4
#define  ANALIZOR_ASCECRAN1              5
#define  ANALIZOR_ASCECRAN2              6
#define  ANALIZOR_CISTIGCANAL2           7
#define  ANALIZOR_FRECVENTACANAL2        8
#define  ANALIZOR_CISTIGCANAL1           9
#define  ANALIZOR_FRECVENTACANAL1        10
#define  ANALIZOR_LINLOG2                11      /* callback function: SetLinLog2 */
#define  ANALIZOR_LINLOG1                12      /* callback function: SetLinLog1 */
#define  ANALIZOR_TIMERACHIZ             13      /* callback function: CallTimerAchizAnalizor */
#define  ANALIZOR_TIMERAFISANALIZOR      14      /* callback function: CallTimerAfisAnalizor */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CallTimerAchizAnalizor(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallTimerAfisAnalizor(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OnOffAnalizor(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetLinLog1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetLinLog2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
