#include <ansi_c.h>
#include "Sbdaq.h"
#include <analysis.h>
#include <userint.h>
#include "general.h"         
#include "globals.h"
#include "globdata.h"
#include "MIA.h"

extern int lab; 

extern int mia;
extern int panelMIAIsHided = false;

extern unsigned long IDTaskGenerare;
extern int MIAEnable = false;



int CVICALLBACK OnOffMIA (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	int retCode;

	switch (event) {
		case EVENT_COMMIT:
			retCode = woStopWaveform (SB_STEREO, IDTaskGenerare);					
			retCode = woClose();
			MIAEnable = false;

			SetCtrlAttribute (lab, LAB_GEN, ATTR_DIMMED, 0);
			SetCtrlAttribute (lab, LAB_MA, ATTR_DIMMED, 0);
			SetCtrlAttribute (lab, LAB_MFMP, ATTR_DIMMED, 0);
			SetCtrlAttribute (lab, LAB_MIA, ATTR_DIMMED, 0);
			HidePanel (mia);
			panelMIAIsHided = true;
			break;
	}
	return 0;
}
