/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  OSCILOSCOP                      1
#define  OSCILOSCOP_ONOFFOSCILOSCOP      2       /* callback function: OnOffOsciloscop */
#define  OSCILOSCOP_MODXY                3
#define  OSCILOSCOP_ASCECRAN             4
#define  OSCILOSCOP_SENSIBCANAL2X        5
#define  OSCILOSCOP_SENSIBCANAL1X        6
#define  OSCILOSCOP_SENSIBILITATECANAL2X 7
#define  OSCILOSCOP_SENSIBILITATECANAL1X 8
#define  OSCILOSCOP_FRECVENTAOSCCANAL2   9
#define  OSCILOSCOP_FRECVENTAOSCCANAL1   10
#define  OSCILOSCOP_GRAPH                11
#define  OSCILOSCOP_TIMERACHIZ           12      /* callback function: CallTimerAchizOsc */
#define  OSCILOSCOP_TEXTMSG              13
#define  OSCILOSCOP_TEXTMSG_2            14
#define  OSCILOSCOP_TIMERAFISOSC         15      /* callback function: CallTimerAfisOsc */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CallTimerAchizOsc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallTimerAfisOsc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OnOffOsciloscop(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
