/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  MFMP                            1
#define  MFMP_ONOFFMFMP                  2       /* callback function: OnOffMFMP */
#define  MFMP_GRAPHCANAL2MFMP            3
#define  MFMP_FRECVENTAPURTATOAREMF      4       /* callback function: SeteazaFrecventaPurtatoareiMFMP */
#define  MFMP_STARTSTOPGENMFMP           5       /* callback function: StartStopGenMFMP */
#define  MFMP_AMPLPURTATOAREMFMP         6       /* callback function: SeteazaAmplPurtMFMP */
#define  MFMP_KFKPHI                     7       /* callback function: SeteazaKFKPHI */
#define  MFMP_AMPLMODMFMP                8       /* callback function: SeteazaAmplModMFMP */
#define  MFMP_INDICEMODULATIEMFMP        9
#define  MFMP_GRAPHCANAL1MFMP            10
#define  MFMP_FRECVENTAMODMFMP           11      /* callback function: SeteazaFrecventaModulatoareiMFMP */
#define  MFMP_ASCECRAN1MFMP              12
#define  MFMP_MFMPCHECK                  13
#define  MFMP_ASCECRAN2MFMP              14
#define  MFMP_TIMERAFISGENMFMP           15      /* callback function: CallTimerAfisGenMFMP */
#define  MFMP_TIMERGENMFMP               16      /* callback function: CallTimeGenMFMP */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CallTimeGenMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallTimerAfisGenMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OnOffMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaAmplModMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaAmplPurtMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaFrecventaModulatoareiMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaFrecventaPurtatoareiMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaKFKPHI(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK StartStopGenMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
