/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  LAB                             1
#define  LAB_QUIT                        2       /* callback function: CallQUIT */
#define  LAB_MFMP                        3       /* callback function: CallMFMP */
#define  LAB_MA                          4       /* callback function: CallMA */
#define  LAB_MIA                         5       /* callback function: CallMIA */
#define  LAB_OSC                         6       /* callback function: CallOsc */
#define  LAB_SPEC                        7       /* callback function: CallSpec */
#define  LAB_GEN                         8       /* callback function: CallGen */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CallGen(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallMA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallMFMP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallMIA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallOsc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallQUIT(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallSpec(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
