/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  GENERATOR                       1
#define  GENERATOR_TIPSEMNALCANAL2       2
#define  GENERATOR_TIPSEMNALCANAL1       3
#define  GENERATOR_GRAPHCANAL2           4
#define  GENERATOR_AMPLITUDINECANAL2     5       /* callback function: SeteazaAmplitudineGenCanal2 */
#define  GENERATOR_STARTSTOPGEN          6       /* callback function: StartStopGen */
#define  GENERATOR_GRAPHCANAL1           7
#define  GENERATOR_FRECVENTACANAL2       8       /* callback function: SeteazaFrecventaGenCanal2 */
#define  GENERATOR_FRECVENTACANAL1       9       /* callback function: SeteazaFrecventaGenCanal1 */
#define  GENERATOR_AMPLITUDINECANAL1     10      /* callback function: SeteazaAmplitudineGenCanal1 */
#define  GENERATOR_ONOFFGENERATOR        11      /* callback function: OnOffGenerator */
#define  GENERATOR_ASCECRAN2             12
#define  GENERATOR_ASCECRAN1             13
#define  GENERATOR_TIMERGEN              14      /* callback function: CallTimeGen */
#define  GENERATOR_TEXTMSG               15
#define  GENERATOR_TEXTMSG_2             16
#define  GENERATOR_TEXTMSG_3             17
#define  GENERATOR_TEXTMSG_4             18
#define  GENERATOR_TIMERAFISGEN          19      /* callback function: CallTimerAfisGen */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CallTimeGen(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CallTimerAfisGen(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OnOffGenerator(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaAmplitudineGenCanal1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaAmplitudineGenCanal2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaFrecventaGenCanal1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SeteazaFrecventaGenCanal2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK StartStopGen(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
